/* $Id: testangle.cpp,v 1.2 2006/01/18 11:38:56 cvsroot Exp $ */

/* GenLib2 - General Library 2
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <iostream>
#include "angle.h"
#include "form.h"

void main()
{
	using namespace GenLib2;

	Form fix8(8); fix8.fixed();

	Angle a("deg", true);

	cin >> a;
	cout << fix8(a.get()) << endl;
	cout << fix8(a.rad()) << endl;
	cout << fix8(a.deg()) << endl;
	cout << fix8(a.gon()) << endl;
}
