/* $Id: testform_oldstyle.cpp,v 1.2 2006/01/18 11:40:19 cvsroot Exp $ */

/* GenLib2 - General Library 2
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <iostream>
#include "osform.h"

using namespace std;
using namespace GenLib2;


int main()
{
	int		ival = 4711;
	double	dval = -1234.56789;
	string	str = "abcdef";

	cout << "right field adjustment (default):\n";

	cout << form("I10  : >%10i\n", ival);

	cout << form("F10.2: >%10.2f\n", dval);

	cout << form("E12.4: >%12.4e\n", dval);

	cout << form("A10  : >%10s\n", str.c_str());

	cout << "left field adjustment:\n";

	cout << form("I10  : >%-10i\n", ival);

	cout << form("F10.2: >%-10.2f\n", dval);

	cout << form("E12.4: >%-12.4e\n", dval);

	cout << form("A10  : >%-10s\n", str.c_str());

	return 0;
}
